#include <bits/stdc++.h>

#define ll long long
#define loop(i, a, b) for (ll i = a; i < b; i++)

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    ll n, x, sa = 0, sb = 0;
    cin >> n;
    vector<ll> a(n);
    loop(i, 0, n) {
        cin >> a[i];
        if (a[i] % 2) sa += a[i];
        else sb += a[i];
        
    }
    loop(i, 0, n - 1) {
        cin >> x >> x;
    }

    if (sa > sb) {
        cout << sb << '\n';
        cout << sb / 2 << '\n';
        for(ll i = 2; i < n; i+=2) {
            cout << i << ' ';
        }
        cout << '\n';
        cout << "0\n";
    } else {
        cout << sa << '\n';
        sb /= 2;
        if (n % 2) sb++;
        cout << sb << '\n'; // Dodaj ako je N neparan
        for(ll i = 1; i <= n; i+=2) {
            cout << i << ' ';
        }
        cout << '\n';
        cout << "0\n";
    }

    return 0;
}